OSTREE ADMIN UPGRADE(1)

NAME
ostree-admin-upgrade - Construct new tree from current origin and deploy it, if it changed

SYNOPSIS

ostree admin upgrade [OPTIONS...]

DESCRIPTION

Downloads the latest version of the current ref from the build server and deploys it, if it changed. Reboot the machine for the changes to take effect.

OPTIONS

--os="OSNAME"
    Use a different operating system root than the current one.

--reboot,-r
    Reboot after a successful upgrade.

--allow-downgrade
    Permit deployment of chronologically older trees.

--override-commit="CHECKSUM"
    Deploy CHECKSUM instead of the latest tree.

EXAMPLE

$ ostree admin upgrade

            No update available.